> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Payments for an Order

> Fetch payments for an Order using Razorpay Orders API.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
  <span>🇸🇬 Singapore</span>
  <span>🇺🇸 United States</span>
</div>

Use this endpoint to fetch all the payments made for an order. The response contains all the authorised or failed payments for that order.

<RequestExample>
  ```bash Curl theme={null}
  curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET]\

  -X GET https://api.razorpay.com/v1/orders/order_DaaS6LOUAASb7Y/payments \
  ```

  ```java Java theme={null}
  RazorpayClient razorpay = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");

  String orderId = "order_DaaS6LOUAASb7Y";

  Order order = razorpay.orders.fetchPayments(orderId);
  ```

  ```python Python theme={null}
  import razorpay
  client = razorpay.Client(auth=("YOUR_ID", "YOUR_SECRET"))

  client.order.payments(orderId)
  ```

  ```php PHP theme={null}
  $api = new Api($key_id, $secret);

  $api->order->fetch($orderId)->payments();
  ```

  ```ruby Ruby theme={null}
  require "razorpay"
  Razorpay.setup('YOUR_KEY_ID', 'YOUR_SECRET')

  orderId = "order_DaaS6LOUAASb7Y"

  Razorpay::Order.fetch("order_JCRhAvzvZQPkwT").payments
  ```

  ```javascript Node.js theme={null}
  var instance = new Razorpay({ key_id: 'YOUR_KEY_ID', key_secret: 'YOUR_SECRET' })

  instance.orders.fetchPayments(orderId)
  ```

  ```go Go theme={null}
  import ( razorpay "github.com/razorpay/razorpay-go" )
  client := razorpay.NewClient("YOUR_KEY_ID", "YOUR_SECRET")

  body, err := client.Order.Payments("<orderId>", nil, nil)
  ```

  ```csharp .NET theme={null}
  RazorpayClient client = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");

  string orderId = "order_Z6t7VFTb9xHeOs";

  List<Payment> order = client.Order.Fetch(orderId).Payments();
  ```

  ```bash CLI theme={null}
  razorpay orders payments ord_ABC123
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "entity":"collection",
    "count":2,
    "items":[
      {
        "id":"pay_N8FUmetkCE2hZP",
        "entity":"payment",
        "amount":100,
        "currency":"INR",
        "status":"failed",
        "order_id":"order_N8FRN5zTm5S3wx",
        "invoice_id":null,
        "international":false,
        "method":"upi",
        "amount_refunded":0,
        "refund_status":null,
        "captured":false,
        "description":null,
        "card_id":null,
        "bank":null,
        "wallet":null,
        "vpa":"failure@razorpay",
        "email":"void@razorpay.com",
        "contact":"+919999999999",
        "notes":{
          "notes_key_1":"Tea, Earl Grey, Hot",
          "notes_key_2":"Tea, Earl Grey… decaf."
        },
        "fee":null,
        "tax":null,
        "error_code":"BAD_REQUEST_ERROR",
        "error_description":"Payment was unsuccessful due to a temporary issue. If amount got deducted, it will be refunded within 5-7 working days.",
        "error_source":"gateway",
        "error_step":"payment_response",
        "error_reason":"payment_failed",
        "acquirer_data":{
          "rrn":null
        },
        "created_at":1701688684,
        "upi":{
          "vpa":"failure@razorpay"
        }
      },
      {
        "id":"pay_N8FVRD1DzYzBh1",
        "entity":"payment",
        "amount":100,
        "currency":"INR",
        "status":"captured",
        "order_id":"order_N8FRN5zTm5S3wx",
        "invoice_id":null,
        "international":false,
        "method":"upi",
        "amount_refunded":0,
        "refund_status":null,
        "captured":true,
        "description":null,
        "card_id":null,
        "bank":null,
        "wallet":null,
        "vpa":"success@razorpay",
        "email":"void@razorpay.com",
        "contact":"+919999999999",
        "notes":{
          "notes_key_1":"Tea, Earl Grey, Hot",
          "notes_key_2":"Tea, Earl Grey… decaf."
        },
        "fee":2,
        "tax":0,
        "error_code":null,
        "error_description":null,
        "error_source":null,
        "error_step":null,
        "error_reason":null,
        "acquirer_data":{
          "rrn":"267567962619",
          "upi_transaction_id":"F5B66C7C07CA6FEAD77E956DC2FC7ABE"
        },
        "created_at":1701688721,
        "upi":{
          "vpa":"success@razorpay"
        }
      }
    ]
  }
  ```
</ResponseExample>

## Path Parameters

<ParamField path="id" type="string" required>
  Unique identifier of the order for which the payments should be retrieved.
</ParamField>

## Response Parameters

<ResponseField name="id" type="string">
  Unique identifier of the payment.
</ResponseField>

<ResponseField name="entity" type="string">
  Indicates the type of entity.
</ResponseField>

<ResponseField name="amount" type="integer">
  The payment amount in currency subunits. For example, for an amount of  enter 100.
</ResponseField>

<ResponseField name="currency" type="string">
  The currency in which the payment is made.
</ResponseField>

<ResponseField name="status" type="string">
  The status of the payment. Possible values:

  * `created`
  * `authorized`
  * `captured`
  * `refunded`
  * `failed`
</ResponseField>

<ResponseField name="method" type="string">
  The payment method used for making the payment. Possible values:

  * `card`
  * `netbanking`
  * `wallet`
  * `upi`
  * `emi`
</ResponseField>

<ResponseField name="order_id" type="string">
  Order id, if provided. Know more about [Orders](/docs/payments/orders).
</ResponseField>

<ResponseField name="description" type="string">
  Description of the payment, if any.
</ResponseField>

<ResponseField name="international" type="boolean">
  Indicates whether the payment is done via an international card or a domestic one. Possible values:

  * `true`: Payment made using international card.
  * `false`: Payment not made using international card.
</ResponseField>

<ResponseField name="refund_status" type="string">
  The refund status of the payment. Possible values:

  * `null`
  * `partial`
  * `full`
</ResponseField>

<ResponseField name="amount_refunded" type="integer">
  The amount refunded in currency subunits. For example, if `amount_refunded = 100`, it is equal to .
</ResponseField>

<ResponseField name="captured" type="boolean">
  Indicates if the payment is captured. Possible values:

  * `true`: Payment has been captured.
  * `false`: Payment has not been captured.
</ResponseField>

<ResponseField name="email" type="string">
  Customer email address used for the payment.
</ResponseField>

<ResponseField name="contact" type="string">
  Customer contact number used for the payment.
</ResponseField>

<ResponseField name="fee" type="integer">
  Fee (including tax) charged by us.
</ResponseField>

<ResponseField name="tax" type="integer">
  Tax charged for the payment.
</ResponseField>

<ResponseField name="error_code" type="string">
  Error that occurred during payment. For example, `BAD_REQUEST_ERROR`.
</ResponseField>

<ResponseField name="error_description" type="string">
  Description of the error that occurred during payment. For example, `Payment processing failed because of incorrect OTP`.
</ResponseField>

<ResponseField name="error_source" type="string">
  The point of failure. For example, `customer`.
</ResponseField>

<ResponseField name="error_step" type="string">
  The stage where the transaction failure occurred. The stages can vary depending on the payment method used to complete the transaction. For example, `payment_authentication`.
</ResponseField>

<ResponseField name="error_reason" type="string">
  The exact error reason. For example, `incorrect_otp`.
</ResponseField>

<ResponseField name="notes" type="json object">
  Contains user-defined fields, stored for reference purposes.
</ResponseField>

<ResponseField name="created_at" type="integer">
  Timestamp, in UNIX format, on which the payment was created.
</ResponseField>

<ResponseField name="card_id" type="string">
  The unique identifier of the card used by the customer to make the payment.
</ResponseField>

<ResponseField name="wallet" type="string">
  The name of the wallet used by the customer to make the payment. For example, `payzapp`.
</ResponseField>

<ResponseField name="acquirer_data" type="array">
  A dynamic array consisting of a unique reference numbers.
</ResponseField>

<ResponseField name="rrn" type="string">
  A unique bank reference number provided by the banking partner when a refund is processed. This reference number can be used by the customer to track the status of the refund with the bank.
</ResponseField>

<ResponseField name="authentication_reference_number" type="string">
  A unique reference number generated for RuPay card payments.
</ResponseField>

<ResponseField name="bank_transaction_id" type="string">
  A unique reference number provided by the banking partner in case of netbanking payments.
</ResponseField>

<ResponseField name="bank" type="string">
  The 4-character bank code which the customer's account is associated with. For example, `UTIB` for Axis Bank.
</ResponseField>

<br />

<ResponseField name="upi" type="object">
  Details of the UPI payment received. Applicable if `method` is `upi`.
</ResponseField>

<ResponseField name="payer_account_type" type="string">
  The payment method used for making the payment. Possible values:

  * `bank_account`
  * `credit_card`
  * `wallet`
</ResponseField>

<ResponseField name="vpa" type="string">
  The customer's VPA (Virtual Payment Address) or UPI id used to make the payment. For example, `gauravkumar@exampleupi`.
</ResponseField>

<ResponseField name="vpa" type="string">
  The customer's VPA (Virtual Payment Address) or UPI id used to make the payment. For example, `gauravkumar@exampleupi`.
</ResponseField>

<ResponseField name="invoice_id" type="string">
  Unique identifier of the invoice associated with this order.
</ResponseField>

<ResponseField name="amount_captured" type="integer">
  The amount captured for this payment, in the smallest currency unit (paise for INR).
</ResponseField>

<ResponseField name="provider" type="string">
  The payment provider used for cardless EMI, PayLater, or app-based payment methods.
</ResponseField>

<ResponseField name="reward" type="object">
  Reward details applied to this payment, when an offer of type `reward` was redeemed.
</ResponseField>
